Page MenuHomePhabricator

Change unlock criteria for Add/translate descriptions to 24h and 3 edits
Closed, ResolvedPublic

Description

New unlock criteria

  • If users have added 3 (title) descriptions that have not been reverted or partially reverted within 24h, “Suggested edits“ and with it, the “Add descriptions“ task is unlocked/available.
  • If users have added 50 (title) descriptions that have not been reverted or partially reverted within 24h, “Suggested edits“ and with it, the “Translate descriptions“ task is unlocked/available.

Why 24h? Conversation with @Pginer-WMF about it in a nutshell: Review of contributions usually happen quite fast, most of the reviews happen within one day. Plus, we want to make the feature as accessible as possible.

Side note: When to unlock the tasks lead to a bit of confusion since two tasks were saying something different: T212795 and T217369. Was not that big of deal for production release, but we still want to change it.

Thanks, especially to @Mholloway!

Details

Related Gerrit Patches:
operations/mediawiki-config : masterUpdate WikimediaEditorTasks config

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2019, 10:40 AM

This is a simple config change, and I can do it on Monday (no deploys on Friday).

Change 507035 had a related patch set uploaded (by Mholloway; owner: Michael Holloway):
[operations/mediawiki-config@master] Update WikimediaEditorTasks config

https://gerrit.wikimedia.org/r/507035

Change 507035 merged by jenkins-bot:
[operations/mediawiki-config@master] Update WikimediaEditorTasks config

https://gerrit.wikimedia.org/r/507035

Mentioned in SAL (#wikimedia-operations) [2019-04-29T15:40:37Z] <mholloway-shell@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Update WikimediaEditorTasks counter config (T221951) (duration: 00m 58s)

Mholloway closed this task as Resolved.Apr 29 2019, 3:41 PM